aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 16:52:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 16:52:56 +0000
commit1c768ea2ad6818ba67f984bc291a5d83f5c8aa3e (patch)
treec2eeafa8ac4cca7a868308c00ab1cb1d5a3f3942
parent8c7bcef66daf882d0d1d8cc5eaaf749242a30e13 (diff)
downloadaports-1c768ea2ad6818ba67f984bc291a5d83f5c8aa3e.tar.gz
aports-1c768ea2ad6818ba67f984bc291a5d83f5c8aa3e.tar.bz2
aports-1c768ea2ad6818ba67f984bc291a5d83f5c8aa3e.tar.xz
x11/xfce-utils: new aport
-rw-r--r--x11/xfce-utils/APKBUILD32
l---------x11/xfce-utils/xfce-utils.post-deinstall1
-rw-r--r--x11/xfce-utils/xfce-utils.post-install4
l---------x11/xfce-utils/xfce-utils.post-upgrade1
4 files changed, 38 insertions, 0 deletions
diff --git a/x11/xfce-utils/APKBUILD b/x11/xfce-utils/APKBUILD
new file mode 100644
index 0000000000..450a98d016
--- /dev/null
+++ b/x11/xfce-utils/APKBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce-utils
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="Utilities for Xfce"
+url="http://www.xfce.org/"
+license="GPL2"
+subpackages=
+depends="hicolor-icon-theme"
+makedepends="pkgconfig libxfcegui4-dev intltool gettext-dev libiconv-dev
+ libsm-dev expat-dev e2fsprogs-dev"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ sed -i -e "s/share\/xsessions/sessions/g" Makefile.in || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ --with-xsession-prefix=/etc/X11/
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="1aa2362b11e79e56d52ce0d265faf1b6 xfce-utils-4.6.1.tar.bz2
+db51db79681eadc47be4932355a77c25 xfce-utils.post-install
+db51db79681eadc47be4932355a77c25 xfce-utils.post-upgrade
+db51db79681eadc47be4932355a77c25 xfce-utils.post-deinstall"
diff --git a/x11/xfce-utils/xfce-utils.post-deinstall b/x11/xfce-utils/xfce-utils.post-deinstall
new file mode 120000
index 0000000000..ff279d8222
--- /dev/null
+++ b/x11/xfce-utils/xfce-utils.post-deinstall
@@ -0,0 +1 @@
+xfce-utils.post-install \ No newline at end of file
diff --git a/x11/xfce-utils/xfce-utils.post-install b/x11/xfce-utils/xfce-utils.post-install
new file mode 100644
index 0000000000..c523d78da0
--- /dev/null
+++ b/x11/xfce-utils/xfce-utils.post-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
diff --git a/x11/xfce-utils/xfce-utils.post-upgrade b/x11/xfce-utils/xfce-utils.post-upgrade
new file mode 120000
index 0000000000..ff279d8222
--- /dev/null
+++ b/x11/xfce-utils/xfce-utils.post-upgrade
@@ -0,0 +1 @@
+xfce-utils.post-install \ No newline at end of file